Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class EnvelopeBuilder

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--org.apache.axis.message.SOAPHandler
                  |
                  +--org.apache.axis.message.EnvelopeBuilder

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class EnvelopeBuilder
extends SOAPHandler

The EnvelopeBuilder is responsible for parsing the top-level SOAP envelope stuff (Envelope, Body, Header), and spawning off HeaderBuilder and BodyBuilders.

Author:
  Glen Daniels (gdaniels@allaire.com), Andras Avar (andras.avar@nokia.com)

Field Summary

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`EnvelopeBuilder(SOAPEnvelope env, java.lang.String messageType)`
`EnvelopeBuilder(java.lang.String messageType, SOAPConstants soapConstants)`

Method Summary
`void` | `endElement(java.lang.String namespace, java.lang.String localName, DeserializationContext context)`
`SOAPEnvelope` | `getEnvelope()`
`void` | `onEndChild(java.lang.String namespace, java.lang.String localName, DeserializationContext context)`
`SOAPHandler` | `onStartChild(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)`
`void` | `startElement(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvelopeBuilder

    public EnvelopeBuilder(java.lang.String messageType,
                           SOAPConstants soapConstants)

### EnvelopeBuilder

    public EnvelopeBuilder(SOAPEnvelope env,
                           java.lang.String messageType)

Method Detail

### getEnvelope

    public SOAPEnvelope getEnvelope()

### startElement

    public void startElement(java.lang.String namespace,
                             java.lang.String localName,
                             java.lang.String prefix,
                             org.xml.sax.Attributes attributes,
                             DeserializationContext context)
                      throws org.xml.sax.SAXException

  Overrides:
    `startElement` in class `SOAPHandler`
    `org.xml.sax.SAXException`

### onStartChild

    public SOAPHandler onStartChild(java.lang.String namespace,
                                    java.lang.String localName,
                                    java.lang.String prefix,
                                    org.xml.sax.Attributes attributes,
                                    DeserializationContext context)
                             throws org.xml.sax.SAXException

  Overrides:
    `onStartChild` in class `SOAPHandler`
    `org.xml.sax.SAXException`

### onEndChild

    public void onEndChild(java.lang.String namespace,
                           java.lang.String localName,
                           DeserializationContext context)

  Overrides:
    `onEndChild` in class `SOAPHandler`

### endElement

    public void endElement(java.lang.String namespace,
                           java.lang.String localName,
                           DeserializationContext context)
                    throws org.xml.sax.SAXException

  Overrides:
    `endElement` in class `SOAPHandler`
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.